Package com.ocient.jdbc.proto

# Class PlanProtocol.StatsColInfo.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsColInfo.Builder>
com.ocient.jdbc.proto.PlanProtocol.StatsColInfo.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.StatsColInfoOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.StatsColInfo

    public static final class PlanProtocol.StatsColInfo.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsColInfo.Builder>
    implements PlanProtocol.StatsColInfoOrBuilder

    Column info used for stats requests

Protobuf type `xg.db.sqlPlans.StatsColInfo`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.StatsColInfo.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.StatsColInfo` | `build()` |
`PlanProtocol.StatsColInfo` | `buildPartial()` |
`PlanProtocol.StatsColInfo.Builder` | `clear()` |
`PlanProtocol.StatsColInfo.Builder` | `clearColUuid()` | `string col_uuid = 1;`
`PlanProtocol.StatsColInfo.Builder` | `clearDerivedType()` | `int32 derived_type = 3;`
`PlanProtocol.StatsColInfo.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.StatsColInfo.Builder` | `clearIndex()` | `uint64 index = 2;`
`PlanProtocol.StatsColInfo.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.StatsColInfo.Builder` | `clone()` |
`String` | `getColUuid()` | `string col_uuid = 1;`
`com.google.protobuf.ByteString` | `getColUuidBytes()` | `string col_uuid = 1;`
`PlanProtocol.StatsColInfo` | `getDefaultInstanceForType()` |
`int` | `getDerivedType()` | `int32 derived_type = 3;`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`long` | `getIndex()` | `uint64 index = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.StatsColInfo.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.StatsColInfo.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.StatsColInfo.Builder` | `mergeFrom​(PlanProtocol.StatsColInfo other)` |
`PlanProtocol.StatsColInfo.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.StatsColInfo.Builder` | `setColUuid​(String value)` | `string col_uuid = 1;`
`PlanProtocol.StatsColInfo.Builder` | `setColUuidBytes​(com.google.protobuf.ByteString value)` | `string col_uuid = 1;`
`PlanProtocol.StatsColInfo.Builder` | `setDerivedType​(int value)` | `int32 derived_type = 3;`
`PlanProtocol.StatsColInfo.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.StatsColInfo.Builder` | `setIndex​(long value)` | `uint64 index = 2;`
`PlanProtocol.StatsColInfo.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.StatsColInfo.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsColInfo.Builder>`

### clear

public PlanProtocol.StatsColInfo.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsColInfo.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsColInfo.Builder>`

### getDefaultInstanceForType

public PlanProtocol.StatsColInfo getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.StatsColInfo build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.StatsColInfo buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.StatsColInfo.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsColInfo.Builder>`

### setField

public PlanProtocol.StatsColInfo.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsColInfo.Builder>`

### clearField

public PlanProtocol.StatsColInfo.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsColInfo.Builder>`

### clearOneof

public PlanProtocol.StatsColInfo.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsColInfo.Builder>`

### setRepeatedField

public PlanProtocol.StatsColInfo.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsColInfo.Builder>`

### addRepeatedField

public PlanProtocol.StatsColInfo.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsColInfo.Builder>`

### mergeFrom

public PlanProtocol.StatsColInfo.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.StatsColInfo.Builder>`

### mergeFrom

public PlanProtocol.StatsColInfo.Builder mergeFrom​(PlanProtocol.StatsColInfo other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsColInfo.Builder>`

### mergeFrom

public PlanProtocol.StatsColInfo.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.StatsColInfo.Builder>`
Throws:
  `IOException`

### getColUuid

public String getColUuid()
`string col_uuid = 1;`

Specified by:
  `getColUuid` in interface `PlanProtocol.StatsColInfoOrBuilder`

### getColUuidBytes

public com.google.protobuf.ByteString getColUuidBytes()
`string col_uuid = 1;`

Specified by:
  `getColUuidBytes` in interface `PlanProtocol.StatsColInfoOrBuilder`

### setColUuid

public PlanProtocol.StatsColInfo.Builder setColUuid​(String value)
`string col_uuid = 1;`

### clearColUuid

public PlanProtocol.StatsColInfo.Builder clearColUuid()
`string col_uuid = 1;`

### setColUuidBytes

public PlanProtocol.StatsColInfo.Builder setColUuidBytes​(com.google.protobuf.ByteString value)
`string col_uuid = 1;`

### getIndex

public long getIndex()
`uint64 index = 2;`

Specified by:
  `getIndex` in interface `PlanProtocol.StatsColInfoOrBuilder`

### setIndex

public PlanProtocol.StatsColInfo.Builder setIndex​(long value)
`uint64 index = 2;`

### clearIndex

public PlanProtocol.StatsColInfo.Builder clearIndex()
`uint64 index = 2;`

### getDerivedType

public int getDerivedType()
`int32 derived_type = 3;`

Specified by:
  `getDerivedType` in interface `PlanProtocol.StatsColInfoOrBuilder`

### setDerivedType

public PlanProtocol.StatsColInfo.Builder setDerivedType​(int value)
`int32 derived_type = 3;`

### clearDerivedType

public PlanProtocol.StatsColInfo.Builder clearDerivedType()
`int32 derived_type = 3;`

### setUnknownFields

public final PlanProtocol.StatsColInfo.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsColInfo.Builder>`

### mergeUnknownFields

public final PlanProtocol.StatsColInfo.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsColInfo.Builder>`